1. #1
    Sencha User
    Join Date
    Nov 2012
    Posts
    3
    Vote Rating
    0
    dkoelsch is on a distinguished road

      0  

    Default Unanswered: stbuild error with Cmd v3.0.0.250 on Mac OS X 10.5.8

    Unanswered: stbuild error with Cmd v3.0.0.250 on Mac OS X 10.5.8


    Hi, I'm trying to generate a touch (2.2. alpha) app using Cmd v3.0.0.250 (yes, I'm in the touch-2.2.0 SDK root folder). Cmd v3 fires up and would copy the files and create the dirs, but exit at "Generating new packager.json file using native packager". I suspect that stbuild has a problem with the i386 architecture. Can someone confirm?

    Here is the debug info:
    Code:
    $ sencha -d generate app GS ../GS
    .........
    [DBG]        executable located at /Users/.../bin/Sencha/Cmd/3.0.0.250/stbuild/stbuild
    [DBG]        using workding directory .
    dyld: unknown required load command 0x80000022
    [DBG]        exit code was : 133
    [DBG]        exit code was : 133
    [ERR]        
    dyld: unknown required load command 0x80000022
    
    [ERR]        javax.script.ScriptException: sun.org.mozilla.javascript.internal.WrappedException: Wrapped com.sencha.exceptions.ExProcess: stbuild exited with non-zero code : 133 (<Unknown source>#15) in <Unknown source> at line number 15
    
    ....
    Executing stbuild directly in the Cmd v3 /stbuild dir will give the same error:
    Code:
    $ ./stbuild
    dyld: unknown required load command 0x80000022
    Trace/BPT trap
    I was hoping it was built as a universal binary, but arch -i386 wouldn't work
    Code:
    $ arch -i386 ./stbuild 
    arch: posix_spawnp: ./stbuild: Bad CPU type in executable
    So, it seems like Cmd v3 does not support older Mac versions (i.e. Lion)?
    Any ideas are highly appreciated. Thanks!

  2. #2
    Sencha User
    Join Date
    Oct 2012
    Posts
    17
    Answers
    1
    Vote Rating
    0
    transwebsolutions is on a distinguished road

      0  

    Default


    Have you already installed SAAS and COMPASS? In not try installing those first.

  3. #3
    Sencha User
    Join Date
    Nov 2012
    Posts
    3
    Vote Rating
    0
    dkoelsch is on a distinguished road

      0  

    Default


    Yes, both latest releases are installed via rubygems:
    Sass 3.2.4 (Media Mark)
    Compass 0.12.2 (Alnilam)

  4. #4
    Sencha User
    Join Date
    Oct 2012
    Posts
    17
    Answers
    1
    Vote Rating
    0
    transwebsolutions is on a distinguished road

      0  

    Default


    did you also download the xcode command line tools. installing xcode from appstore is not enough. you can find the package for xcode command line tools once you log in to your developer account

  5. #5
    Sencha User
    Join Date
    Nov 2012
    Posts
    3
    Vote Rating
    0
    dkoelsch is on a distinguished road

      0  

    Default


    I have Xcode 3.1.4 which is the latest release for OS X 10.5.8, so no App Store. I installed the Developer Tools as well, but still the same.

Thread Participants: 1

Tags for this Thread

Turkiyenin en sevilen filmlerinin yer aldigi xnxx internet sitemiz olan ve porn sex tarzi bir site olan mobil porno izle sitemiz gercekten dillere destan bir durumda herkesin sevdigi bir site olarak tarihe gececege benziyor. Sitenin en belirgin ozelliklerinden birisi de Turkiyede gercekten kaliteli ve muntazam, duzenli porno izle siteleri olmamasidir. Bu yuzden iste. Ayrica en net goruntu kalitesine sahip adresinde yayinlanmaktadir. Mesela diğer sitelerimizden bahsedecek olursak, en iyi hd porno video arşivine sahip bir siteyiz. "The Best anal porn videos and slut anus, big asses movies set..." hd porno faketaxi